<template lang="pug">
.x-disk-usage
  nav(aria-label='breadcrumb').m-0.p-0
    ol.breadcrumb.m-1
      li.breadcrumb-item(aria-current='page') Disk Usage
  .row.justify-content-center.m-0.p-0
    // Graph
    .col-12.col-lg-6.pl-1
      BaseLineChart(v-if="diskAxisDef" ref='diskChart' :maxData="AvgWindowMinutes * 60"
        xAxis='timestamp' :isTimestamp="true" :smooth="false" :xyTips="false"
        :yAxisRange="[0, 100]" :yAxis="diskAxisDef" :data="buffer")
    // Disk
    .col-12.col-lg-6.m-0.p-0
      .row.justify-content-center.m-0.p-0
        template(v-for='(value, key) in lastBufferData')
          CardInfo.col-12.col-md-3(v-if="key !== 'timestamp'" :title='key' :value='value' suffix="%"
          :cssStyle='getCssStyle(value)')
</template>

<script>

export { default } from './DiskUsage.vue.js';

</script>
